Subject: 23.1.50; error calling `documentation' on calendar-mode
From: Kevin Ryde <[email-masked]>
To: [email-masked]
Date: Thu, 16 Jul 2009 09:50:38 +1000

In a recent cvs starting "emacs -Q" and evaluating

    (progn
      (require 'calendar)
      (documentation 'calendar-mode))

gets the error and backtrace below.

For what it's worth it works fine from the actual calendar buffer, but I
was trying in some program code where that wasn't the case.  I hoped I
could generally get the docs for any function from anywhere.

Also incidentally I tried a condition-case around it like

    (condition-case nil
        (documentation 'calendar-mode)
      (error nil))

and was surprised it still went to the debugger.  But maybe that's a
separate problem.

Debugger entered--Lisp error: (void-variable displayed-month)
  calendar-cursor-to-date(t 24)
  (easy-menu-filter-return (cal-menu-set-date-title menu) "cal-menu-mouse2")
  documentation(calendar-mode)
  (progn (require (quote calendar)) (documentation (quote calendar-mode)))
  eval-region(1 63 t (lambda (ignore) (goto-char 63) (quote (progn ... ...))))  ; Reading at buffer position 8
  apply(eval-region (1 63 t (lambda (ignore) (goto-char 63) (quote ...))))
  eval-defun-2()
  eval-defun(nil)
  call-interactively(eval-defun nil nil)

In GNU Emacs 23.1.50.1 (i586-pc-linux-gnu, GTK+ Version 2.16.4)
 of 2009-07-12 on blah.blah
configured using `configure  'CFLAGS=-O -g' '--prefix=/down/emacs/b/inst' '--with-x-toolkit=gtk''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_AU
  value of $XMODIFIERS: nil
  locale-coding-system: iso-latin-1-unix
  default-enable-multibyte-characters: t